# Uses of Interface
org.eclipse.ecf.filetransfer.IRemoteFileSystemListener

Packages that use IRemoteFileSystemListener
Package
Description
org.eclipse.ecf.filetransfer
org.eclipse.ecf.provider.filetransfer.browse
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5

## Uses of IRemoteFileSystemListener in org.eclipse.ecf.filetransfer

Methods in org.eclipse.ecf.filetransfer that return IRemoteFileSystemListener
Modifier and Type
Method
Description
`IRemoteFileSystemListener`
IRemoteFileSystemRequest.`getRemoteFileListener()`
Get the listener associated with this request
Methods in org.eclipse.ecf.filetransfer with parameters of type IRemoteFileSystemListener
Modifier and Type
Method
Description
`IRemoteFileSystemRequest`
IRemoteFileSystemBrowserContainerAdapter.`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Send a request for file or directory information for given directoryOrFileID.

## Uses of IRemoteFileSystemListener in org.eclipse.ecf.provider.filetransfer.browse

Fields in org.eclipse.ecf.provider.filetransfer.browse declared as IRemoteFileSystemListener
Modifier and Type
Field
Description
`protected IRemoteFileSystemListener`
AbstractFileSystemBrowser.`listener`
Methods in org.eclipse.ecf.provider.filetransfer.browse that return IRemoteFileSystemListener
Modifier and Type
Method
Description
`IRemoteFileSystemListener`
AbstractFileSystemBrowser.RemoteFileSystemRequest.`getRemoteFileListener()`
Methods in org.eclipse.ecf.provider.filetransfer.browse with parameters of type IRemoteFileSystemListener
Modifier and Type
Method
Description
`IRemoteFileSystemRequest`
MultiProtocolFileSystemBrowserAdapter.`sendBrowseRequest(IFileID directoryOrFileID, IRemoteFileSystemListener listener)`
Constructors in org.eclipse.ecf.provider.filetransfer.browse with parameters of type IRemoteFileSystemListener
Modifier
Constructor
Description
``
`AbstractFileSystemBrowser(IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL url, IConnectContext connectContext, Proxy proxy)`
``
`LocalFileSystemBrowser(IFileID directoryID2, IRemoteFileSystemListener listener)`
``
`URLFileSystemBrowser(IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of IRemoteFileSystemListener in org.eclipse.ecf.provider.filetransfer.httpclient45

Constructors in org.eclipse.ecf.provider.filetransfer.httpclient45 with parameters of type IRemoteFileSystemListener
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.http.impl.client.CloseableHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`

## Uses of IRemoteFileSystemListener in org.eclipse.ecf.provider.filetransfer.httpclient5

Constructors in org.eclipse.ecf.provider.filetransfer.httpclient5 with parameters of type IRemoteFileSystemListener
Modifier
Constructor
Description
``
`HttpClientFileSystemBrowser(org.apache.hc.client5.http.impl.classic.CloseableHttpClient httpClient, IFileID directoryOrFileID, IRemoteFileSystemListener listener, URL directoryOrFileURL, IConnectContext connectContext, Proxy proxy)`